#include <fstream>
#include <cstring>
#include <algorithm>

using namespace std;
ifstream fin("serbare.in");
ofstream fout("serbare.out");

struct elev{
    char nume[51];
    int h;} a[101];
struct secv{
    int p, nr;
} s[101];
int n, linii;
char t[60];

void read();
void extract_date(char *, int );
bool test(elev, elev);
int secv();
void write(int);

int main()
{
    read();
    sort(a+1, a+n+1, test);
    linii = secv();
    fout << linii << '\n';
    for (int i = 1; i <= linii; i++)
        write(i);
    return 0;
}

void read(){
    fin >> n; fin.get();
    for (int i = 1; i <= n; i++)
    {
        fin.getline(t, 60);
        extract_date(t, i);
    }
}

void extract_date(char *t, int p){
    int i, lg = strlen(t);
    char inalt[5];
    for(i = lg - 1; i >= 0 && t[i - 1] != ' '; i--);
    strcpy(inalt, t + i);
    t[i - 1] = 0;
    a[p].h = atoi(inalt);
    strcpy(a[p].nume, t);
}

bool test(elev a, elev b){
    return (a.h > b.h || (a.h == b.h && strcmp(a.nume, b.nume) < 0));
}

int secv(){
    int i = 2, lg = 1, k = 1;
    int linii = 0;
    for (i = 2; i <= n; i++){
        if (a[i].h == a[i-1].h) lg++;
        else {
            linii++;
            s[linii].p = k;
            s[linii].nr = lg;
            k = i; lg =1;
        }
    }
    linii++; s[linii].p = k; s[linii].nr = lg;  // ultima secventa
    return linii;
}

void write(int k){
    fout << s[k].nr << ' ';
    for (int i = s[k].p; i < s[k].p + s[k].nr; i++)
        fout << a[i].nume << ' ';
    fout << '\n';
}
