#include <fstream>
#include <iostream>
#include <sstream>
#include <string>
#include <cstdlib>
using namespace std;


ifstream fok("serbare.ok");
ifstream fout("serbare.out");

void Msg(int pct, string msg );
string Trim(string s);

int main(int argc, char* argv[])
{
    if ( !fout )
        Msg(0, "Nu exista fisierul serbare.out!");

    int testNumber, testPoints;

    testNumber =  atoi(argv[1]);          // numarul testului
    testPoints =  atoi(argv[2]);          // nr puncte/test

    int total = 0,t1=0,t2=0;    // punctajul total
    bool ok1 = false, ok2 = false;

    // doua cerinte
    string a, b;     // valori corecte
    string x, y;     // valorile concurentului
    int i,na;
    getline(fok, a);
    a = Trim(a);         // elimin spatiile de la sfarsit

    getline(fout, x);
    x = Trim(x);
    if ( a == x )
    {
        t1= (testPoints * 40) / 100;  // 40 % din punctajul pe test
        ok1 = true;
    }
    na=0;
    for(i=0;i<a.length();i++)
       na=na+(a[i]-'0');
    ok2 = true;
    for(i=1; i<=na; i++)
    {
        getline(fok, b);
        b = Trim(b);
        getline(fout, y);
        y = Trim(y);
        if(b!=y)ok2=false;
    }
    if(!fout.eof())ok2=false;
    if ( ok2 == true )
    {
        t2= (testPoints * 60) / 100; // 60 % din punctaj

    }
    if ( ok1 && ok2 )
        Msg(t1+t2, "Corect !");
    if (!ok1 && !ok2)
        Msg(total, "Incorect !" );
    if ( ok1&&!ok2 )
        Msg(t1, "Valoare incorecta cerinta 2 !");
    if ( !ok1&&ok2 )
        Msg(t2, "Valoare incorecta cerinta 1 !");
    return 0;
}

void Msg(int pct, string msg )
{
    cout << pct << ' ' << msg;
    try
    {
        fok.close();
        fout.close();
    }
    catch (string ex) {}
    exit(0);
}

string Trim(string str)
{
    size_t pos = str.find_last_not_of(" \t");
    if ( pos != string::npos )
        str = str.substr(0, pos + 1);
    return str;
}
