#include <stdio.h>
#include <vector>
#define NMax 205
using namespace std;

int n;
vector <int> v[NMax];


int one;
int r[NMax][NMax];

void dfs(int node) {
	r[one][node] = 1;
	for (int i = 0; i < v[node].size(); i++) {
		if (!r[one][v[node][i]]) {
			r[one][v[node][i]] = 1;
			dfs(v[node][i]);
		}
	}
}

int main() {
	freopen("nuclee.in", "rt", stdin);
	freopen("nuclee.out", "wt", stdout);

	scanf("%d", &n);
	int k, y;
	for (int i = 1; i <= n; i++) {
		scanf("%d", &k);
		for (int j = 0; j < k; j++) {
			scanf("%d", &y);
			v[i].push_back(y);
		}
	}

	for (one = 1; one <= n; one++) {
		dfs(one);
	}

	int cnt = 0;
	for (int i = 1; i <= n; i++) if (r[i][0] == 0) {
		cnt++;
		r[i][0] = 1;
		for (int j = i + 1; j <= n; j++) if (r[i][j] && r[j][i]) {
			r[j][0] = 1;
		}
	}
	printf("%d\n", cnt);

	fclose(stdin);
	fclose(stdout);
	return 0;
}
