#include <stdio.h>
#include <string>
#include <cstring>
#define LMax 110
using namespace std;

int n;
char l[LMax];

int v[LMax]; // unde pun virgule, crescator
string s, vs[LMax];

string best, bestlast;

int smaller(string a, string b);

void solutie(int k) {
	
	if (v[0] == 8 && v[1] == 17 && v[2] == 29 &&
		v[3] == 40 && v[4] == 62 && v[5] == 79) {
		int a = 1;
	}

	k++;
	vs[k] = "";
	for (int i = v[k-1]; i < n; i++) {
		vs[k] += l[i];
	}
	if (smaller(vs[k-1], vs[k])) {
		string tmp = "";
		for (int i = 0; i < k; i++) {
			tmp += vs[i] + ",";
		}
		tmp += vs[k].c_str();
		if (!best.compare("") // nu am alta solutie inca
			|| smaller(vs[k], bestlast) // e mai mic ultimul numar
			|| (!smaller(vs[k], bestlast) && !smaller(bestlast, vs[k]) && tmp.compare(best) > 0)) { // ultimul numar egal dar lexicografic mai bun
				best = tmp;
				bestlast = vs[k];
		}
	}
}

void bkt(int k) {
	int st = 1;
	if (k > 0) st = v[k-1] + 1;
	vs[k] = l[st-1];
	for (v[k] = st; v[k] < n; v[k]++) {
		if (k == 0 || smaller(vs[k-1], vs[k])) {
			solutie(k);
			bkt(k + 1);
		}
		vs[k] += l[v[k]];
	}
}

int main()
{
	freopen("virgule.in", "rt", stdin);
	freopen("virgule.out", "wt", stdout);
	fgets(l, LMax, stdin);
	n = strlen(l)-1;

	bkt(0);

	if (!best.compare("")) {
		best = l;
	}
	printf("%s\n", best.c_str());

	fclose(stdout);
	return 0;
}

int smaller(string a, string b) { // a < b ?

	int i1 = 0, i2 = 0;

	while (a[i1] == '0' && i1 < a.size()) { i1++; }
	while (b[i2] == '0' && i2 < b.size()) { i2++; }

	if (a.size() - i1 < b.size() - i2) { return 1; }
	if (a.size() - i1 > b.size() - i2) { return 0; }

	int i;
	for (i = 0; i1 + i <= a.size() && i2 + i <= b.size(); i++) {
		if (a[i1 + i] < b[i2 + i]) {
			return 1;
		}
		if (a[i1 + i] > b[i2 + i]) {
			return 0;
		}
	}
	return 0;
}