#include <fstream>
#include <cstring>
#define NMax 105
using namespace std;

ifstream fin("virgule.in");
ofstream fout("virgule.out");
char s[NMax];
int n, nrv, x[NMax], xmin[NMax];  //x[k]=pozitia cifrei dupa care am pus virgula k (de la stg la dr)

void write();
void bkt(int);
void copy_sol(int);
int ordonat(int, int, int, int);
int minim(int);
void verify_sol(int);
int is_equal(int);

int main(){
    fin >> s;
    n = strlen(s);
    if (n == 1) {fout << s; return 0;}
    x[0] = -1;
    bkt(1);
    write();
    return 0;
}

void bkt(int k){
    for (int i = x[k - 1] + 1; i <= n - 2; i++){
        x[k] = i;
        if ((k > 1 && ordonat(x[k - 2] + 1, x[k - 1], x[k - 1] + 1, x[k])) || k == 1)
            if (ordonat(x[k - 1] + 1, x[k], x[k] + 1, n-1)){
            if (nrv == 0) copy_sol(k);
            else{
                int m = minim(x[k]);    //verific daca ultima val din sol crt e mai mica decat cea din xmin
                if (m == 1) copy_sol(k);
                else if (m == -1) //ultima valoare egala cu cea din sol min
                    verify_sol(k); //actualizez sol min dupa prima val distincta maxima
            }
            bkt(k+1);
        }
    }
}

void copy_sol(int k){
    nrv = k;
    for (int i = 1; i <= k; i++) xmin[i] = x[i];
}

int ordonat(int p, int up, int q, int uq){
    int i = p, j = q;
    while(i <= up && s[i] == '0') i++;
    while(j <= uq && s[j] == '0') j++;
    if(up - i + 1 < uq - j + 1) return 1;
    if(up - i + 1 > uq - j + 1) return 0;
    while (i <= up && j <= uq && s[i] == s[j]) i++, j++;
    if (i <= up && j <= uq) return (s[i] < s[j]);
    return 0;
}

int minim (int p){
    int i = p + 1, j = xmin[nrv] + 1;
    while(i < n && s[i] == '0') i++;
    while(j < n && s[j] == '0') j++;
    if(n - i  < n - j ) return 1;
    if(n - i > n - j ) return 0;
    while (i < n && j < n && s[i] == s[j]) i++, j++;
    if (i < n && j < n) return (s[i] < s[j]);
    if (i >= n && j >= n) return -1;
    return 0;
}

void verify_sol(int k){
    int i = 1, e;
    while(i < k && i < nrv && (e = is_equal(i)) == 0) i++;
    if (e == 1) copy_sol(k);
}

int is_equal(int p){
    int i = x[p - 1] + 1, j = xmin[p - 1] + 1;
    while(i <= x[p] && s[i] == '0') i++;
    while(j <= xmin[p] && s[j] == '0') j++;
    if(i > x[p]) return -1;
    if(x[p] - i > xmin[p] - j) return 1;
    if(x[p] - i < xmin[p] - j) return 0;
    while (i <= x[p] && j <= xmin[p] && s[i] == s[j]) i++, j++;
    if (i <= x[p] || j <= xmin[p])
        if (s[i] < s[j]) return -1;
        else return 1;
    else return 0;
}

void write(){
    int j = 1;
    for (int i = 0; i < n; i++){
        fout << s[i];
        if (i == xmin[j]){
            fout << ',';
            j++;
        }
    }
}
