#include <fstream>
#include <iostream>
#include <cmath>
#include <cstdlib>

using namespace std;

#define DMAX 1010

ifstream fin("broscute.in");
ifstream fok("broscute.ok");
ifstream fout("broscute.out");

void Msg(int pct, string msg);

int Initial[DMAX], Final[DMAX], n, cerinta, i;

int main(int argc, char* argv[])
{
    int testNumber, testPoints, i, cine, deunde, unde;
    bool  corect;
    char linieOK[300], linieOUT[300];

    if ( !fout )
        Msg(0, "Nu exista fisierul 'broscute.out'!");
	testNumber = atoi(argv[1]);          // numarul testului
	testPoints = atoi(argv[2]);          // nr puncte/test

	//citesc datele de intrare
	fin >> n >> cerinta;
	for (i = 1; i <= n + 1; i++) fin >> Initial[i];
	for (i = 1; i <= n + 1; i++) fin >> Final[i];
	//
    int a, b;     // valori corecte
    int x, y;     // valorile concurentului
    if (cerinta == 1)
	{
		fok >> a;
		fout >> x;
		if (a >= x)   //corecta cerinta 1
			Msg(testPoints, "Cerinta 1! Corect !");
		else
			Msg(0, "Cerinta 1! Incorect !");
	}
	else
	{
		int sarituriOK = 0;
		while (fok.getline(linieOK, 300))
      {
         if (linieOK[0] == 'b')
         {
            fout.getline(linieOUT, 300);
            if (linieOK[0] == linieOUT[0] && linieOK[21] == linieOUT[21])
               Msg(testPoints, "Cerinta 2! CORECT! nu se joaca");
            else
               Msg(0, "Cerinta 2! INCORECT! nu se joaca");
         }
         sarituriOK++; //numar sariturile din fok
      }
		int sarituriOUT = 0;
		while (fout >> cine >> deunde >> unde)
		{
			if (cine > n + 1 || deunde > n + 1 || unde > n + 1)
				Msg(0, "Cerinta 2! Valori incorecte!");
			if (Initial[unde] != 0)
				Msg(0, "Cerinta 2! Sari peste alta broscuta!");
			if (Initial[deunde] == 0)
				Msg(0, "Cerinta 2! NU are cine sa sara de aici!");
			swap(Initial[unde], Initial[deunde]);
			sarituriOUT++;
		}
		if (sarituriOUT <= sarituriOK)        //numar de sarituri corect
		{
			corect = true;
			for (i = 1; i <= n + 1; i++)
				if (Initial[i] != Final[i])
				{
					corect = false;
					Msg(0, "Cerinta 2! NU ai ajuns la configuratia finala!");
				}
			Msg(testPoints, "Cerinta 2! CORECT!");
		}
		corect = true;
		for (i = 1; i <= n + 1; i++)
			if (Initial[i] != Final[i])
			{
				corect = false;
				Msg(0, "Cerinta 2! NU ai ajuns la configuratia finala!");
			}
		Msg(testPoints * 60 / 100, "Cerinta 2! CORECT! dar mai multe sarituri");
	}

    return 0;
}

void Msg(int pct, string msg )
{
    cout << pct << ' ' << msg;
    try
    {
        fok.close();
        fout.close();
    }
    catch (string ex) {}
    exit(0);
}
